using AbstractIceCreamShopDataModels.Models;
using IceCreamShopContracts.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IceCreamShopContracts.ViewModels
{
    public class IceCreamViewModel : IIceCreamModel
    {
        [Column(visible: false)]
		public int Id { get; set; }

        [Column("Название мороженого", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string IceCreamName { get; set; } = string.Empty;

        [Column("Цена", width: 100, format: "0.00")]
        public double Price { get; set; }

        [Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> IceCreamComponents { get; set; } = new();
    }
}
